org.wildfly.swarm.config.elytron

## Class SizeRotatingFileAuditLog<T extends SizeRotatingFileAuditLog<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.SizeRotatingFileAuditLog<T>

-     public class SizeRotatingFileAuditLog<T extends SizeRotatingFileAuditLog<T>>
      extends Object

  An audit log definition for persisting an audit log to a local files rotating the log after the size of the file grows beyond a certain point and keeping a fixed number of backups.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SizeRotatingFileAuditLog(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `attributeSynchronized()` Whether every event should be immediately synchronised to disk.
    `T` | `attributeSynchronized(Boolean value)` Whether every event should be immediately synchronised to disk.
    `Format` | `format()` The format to use to record the audit event.
    `T` | `format(Format value)` The format to use to record the audit event.
    `String` | `getKey()`
    `Integer` | `maxBackupIndex()` The maximum number of files to backup when rotating.
    `T` | `maxBackupIndex(Integer value)` The maximum number of files to backup when rotating.
    `String` | `path()` Path of the file to be written.
    `T` | `path(String value)` Path of the file to be written.
    `String` | `relativeTo()` The relative path to the audit log.
    `T` | `relativeTo(String value)` The relative path to the audit log.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `rotateOnBoot()` Whether the file should be rotated before the a new file is set.
    `T` | `rotateOnBoot(Boolean value)` Whether the file should be rotated before the a new file is set.
    `String` | `rotateSize()` The log file size the file should rotate at.
    `T` | `rotateSize(String value)` The log file size the file should rotate at.
    `String` | `suffix()` Format of date used as suffix of log file names in java.time.format.DateTimeFormatter.
    `T` | `suffix(String value)` Format of date used as suffix of log file names in java.time.format.DateTimeFormatter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SizeRotatingFileAuditLog

          public SizeRotatingFileAuditLog(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### format

          public Format format()

      The format to use to record the audit event.

    - #### format

          public T format(Format value)

      The format to use to record the audit event.

    - #### maxBackupIndex

          public Integer maxBackupIndex()

      The maximum number of files to backup when rotating.

    - #### maxBackupIndex

          public T maxBackupIndex(Integer value)

      The maximum number of files to backup when rotating.

    - #### rotateOnBoot

          public Boolean rotateOnBoot()

      Whether the file should be rotated before the a new file is set.

    - #### rotateOnBoot

          public T rotateOnBoot(Boolean value)

      Whether the file should be rotated before the a new file is set.

    - #### rotateSize

          public String rotateSize()

      The log file size the file should rotate at.

    - #### rotateSize

          public T rotateSize(String value)

      The log file size the file should rotate at.

    - #### suffix

          public String suffix()

      Format of date used as suffix of log file names in java.time.format.DateTimeFormatter. The suffix does not play a role in determining when the file should be rotated.

    - #### suffix

          public T suffix(String value)

      Format of date used as suffix of log file names in java.time.format.DateTimeFormatter. The suffix does not play a role in determining when the file should be rotated.

    - #### attributeSynchronized

          public Boolean attributeSynchronized()

      Whether every event should be immediately synchronised to disk.

    - #### attributeSynchronized

          public T attributeSynchronized(Boolean value)

      Whether every event should be immediately synchronised to disk.

    - #### path

          public String path()

      Path of the file to be written.

    - #### path

          public T path(String value)

      Path of the file to be written.

    - #### relativeTo

          public String relativeTo()

      The relative path to the audit log.

    - #### relativeTo

          public T relativeTo(String value)

      The relative path to the audit log.

Copyright © 2017 JBoss by Red Hat. All rights reserved.